# -*- Mode: Fundamental -*-
#
# This file is part of Scrunitizer - the C++ Unit Test Framework
# Copyright (C) 2000  Bernd Linowski
# (scrunitizer@linosphere.de)
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This framework is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
# Main Configuration Makefile
# Linux version
# Versio: 0.4 / Last changed: 01.11.00
#


SHELL = /bin/sh
     
### Config Section ####

# Toplevel source / compilation directory     
TOPSRCDIR	= /home/linowski/Scrunitizer/Scrunitizer

# Install target directories
PREFIX		= /usr/local
INC_PREFIX	= $(PREFIX)/include
LIB_PREFIX	= $(PREFIX)/lib

# -- Change nothing below this line --

srcdir	= .

# CC	= g++ -g -fPIC -Wall
CC	= g++ -fPIC -Wall
CCFLAGS	= 

LD	= ld
LDFLAGS	=

AR	= ar

SHLIB_SUFFIX	= so
MKDLL		= g++ -shared -Wl,-soname,$(LIBNAME).$(SHLIB_SUFFIX).$(LIBMAJOR)

INSTALL		= /usr/local/bin/install

### Target Section ####

.cc.o:
	$(CC) -c $(CCFLAGS) $<

.c.o:
	$(CC) -c $(CCFLAGS) $<

